org.eclipse.wst.jsdt.chromium

## Interface RemoteValueMapping

All Known Subinterfaces:
  PermanentRemoteValueMapping

    public interface RemoteValueMapping

Represents a technical scope that manages remote value representation in debugger. It controls life-cycle of `JsObject`s and their caching strategies.

See Also:
  `JsObject.getRemoteValueMapping()`, `DebugContext.getDefaultRemoteValueMapping()`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `clearCaches()` Clears local caches that store object properties.

### Method Detail

#### clearCaches

    void clearCaches()

Clears local caches that store object properties. This method should be called if property value has been changed in VM (for example as an expression side-effect).